Bug 1830852 - [ovirt] support network interfaces in machine spec
Summary: [ovirt] support network interfaces in machine spec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.5.0
Assignee: Roy Golan
QA Contact: Jan Zmeskal
URL:
Whiteboard:
Depends On:
Blocks: 1816714
TreeView+ depends on / blocked
 
Reported: 2020-05-04 06:19 UTC by Roy Golan
Modified: 2020-08-31 15:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:34:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-ovirt pull 45 0 None closed Bug 1830852: Aadd network interfaces to machine spec and sync them 2021-01-12 19:23:18 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:34:34 UTC

Description Roy Golan 2020-05-04 06:19:45 UTC
Description of problem:

Support NetworkInterfaces list in the machine spec and sync those when creating the instance.
With this nodes can use different vNic profile ids and potentially different networks.

Comment 3 Jan Zmeskal 2020-05-14 09:50:35 UTC
Roy, if I understand correctly, this is pretty much verified by verifying https://bugzilla.redhat.com/show_bug.cgi?id=1816714, right?

Comment 4 Roy Golan 2020-05-18 19:04:47 UTC
(In reply to Jan Zmeskal from comment #3)
> Roy, if I understand correctly, this is pretty much verified by verifying
> https://bugzilla.redhat.com/show_bug.cgi?id=1816714, right?

This could work, you must verify the vnic profile id you choose is really diferent than what the template has, to 
make sure a real customization happended.

Comment 5 Jan Zmeskal 2020-05-26 13:08:07 UTC
Verified with:
openshift-install-linux-4.5.0-0.nightly-2020-05-26-051016
rhvm-4.3.10.3-0.1.master.el7.noarch

Verification steps:
0. In oVirt manager, create a new vNIC profile on your network whose name is different than the network's name. Take a note of its ID.
1. Have a running OCP on RHV cluster
2. Edit spec of machineset for workers in this way:

spec:
  replicas: 3
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: secondary-s5zgz
      machine.openshift.io/cluster-api-machineset: secondary-s5zgz-worker-0
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: secondary-s5zgz
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: secondary-s5zgz-worker-0
    spec:
      metadata: {}
      providerSpec:
        value:
          apiVersion: ovirtproviderconfig.machine.openshift.io/v1beta1
          cluster_id: 9073e91d-e9b2-4322-af86-e38c574ee14c
          cpu:
            cores: 2
            sockets: 2
            threads: 1
          credentialsSecret:
            name: ovirt-credentials
          id: ""
          kind: OvirtMachineProviderSpec
          memory_mb: 24576
          metadata:
            creationTimestamp: null
          name: ""
--------> network_interfaces:
-------->   - vnic_profile_id: ad13ab27-3aae-4c65-a7e8-70b732121570
          os_disk:
            size_gb: 120
          template_name: secondary-s5zgz-rhcos
          type: server
          userDataSecret:
            name: worker-user-data

3. Delete one worker machine and make sure new one is created
4. Go to oVirt engine and check that the newly created VM has the non-default vNIC profile.

Comment 6 errata-xmlrpc 2020-07-13 17:34:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409

Comment 7 Luis Martinho 2020-08-31 15:08:34 UTC
I created a documentation bug, to publish this configuration in the documentation, bug: https://bugzilla.redhat.com/show_bug.cgi?id=1874102


Note You need to log in before you can comment on or make changes to this bug.